# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/perl gcc-c++ perl(GD.pm)
# END SourceDeps(oneline)
# This package is part of the Free Electronic Lab.

Name:           mot-adms
Version:        2.2.9
Release:        alt1_5.svn1186
Summary:        An electrical compact device models converter

Group:          Engineering
License:        LGPLv2+
URL:            http://mot-adms.sourceforge.net/

#Source0:        http://downloads.sourceforge.net/sourceforge/%{_name}/%{name}-%{version}.tar.gz
Source0:        mot-adms.tar.gz
# The above source file can be download with this Tcl script
Source1:        mot-adms-download.tcl

# Remove useless perl-GD dependency
Patch0:         mot-adms-remove-BR-perl-GD.patch


BuildRequires:  flex bison perl-XML-LibXML automake libtool
Source44: import.info

%description
ADMS is a code generator that converts electrical compact
device models specified in high-level description language
into ready-to-compile C code for the API of spice simulators.
Based on transformations specified in XML language, ADMS
transforms Verilog-AMS code into other target languages.

%prep
%setup -q -n %name

%patch0 -p1 -b .perlGD

# minor cleanups and preparations
rm -rf auxconf && mkdir auxconf
%{__autoheader}
%{__libtoolize} --force --copy
%{__aclocal}
touch ChangeLog
%{__automake} --add-missing -c
%{__autoconf}

%build
%configure \
    --disable-static \
    --enable-maintainer-mode \
    --libdir=%{_libdir}/%{name}
# not parallel build safe
make
# %{?_smp_mflags}


%install
make INSTALL="%{_bindir}/install -p" install DESTDIR=%{buildroot}

#find  %{buildroot}/%{_libdir} -name "*.la" -exec rm -f {} \;
#find  %{buildroot}/%{_libdir} -name "*.a"  -exec rm -f {} \;

%files
%doc ABOUT-NLS AUTHORS COPYING TODO README NEWS
%{_bindir}/admsXml
%{_libdir}/%{name}
%{_mandir}/man1/admsXml.1*


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.9-alt1_5.svn1186
- update to new release by fcimport

* Thu Jan 03 2013 Igor Vlasenko <viy@altlinux.ru> 2.2.9-alt1_4.svn1186
- initial fc import

